bk://bk.arm.linux.org.uk/linux-2.6-rmk
rmk@flint.arm.linux.org.uk|ChangeSet|20041023234342|04983 rmk

# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/10/24 00:43:42+01:00 rmk@flint.arm.linux.org.uk 
#   [ARM] Fix missing parens for __FD_* operations.
#   
#   fork.c highlighted that we were missing some parens.  Add them.
# 
# include/asm-arm/posix_types.h
#   2004/10/24 00:41:22+01:00 rmk@flint.arm.linux.org.uk +4 -4
#   Add parens around use of fd and fdsetp
# 
diff -Nru a/include/asm-arm/posix_types.h b/include/asm-arm/posix_types.h
--- a/include/asm-arm/posix_types.h	2004-10-26 18:34:58 -07:00
+++ b/include/asm-arm/posix_types.h	2004-10-26 18:34:58 -07:00
@@ -62,19 +62,19 @@
 
 #undef	__FD_SET
 #define __FD_SET(fd, fdsetp) \
-		(((fd_set *)fdsetp)->fds_bits[fd >> 5] |= (1<<(fd & 31)))
+		(((fd_set *)(fdsetp))->fds_bits[(fd) >> 5] |= (1<<((fd) & 31)))
 
 #undef	__FD_CLR
 #define __FD_CLR(fd, fdsetp) \
-		(((fd_set *)fdsetp)->fds_bits[fd >> 5] &= ~(1<<(fd & 31)))
+		(((fd_set *)(fdsetp))->fds_bits[(fd) >> 5] &= ~(1<<((fd) & 31)))
 
 #undef	__FD_ISSET
 #define __FD_ISSET(fd, fdsetp) \
-		((((fd_set *)fdsetp)->fds_bits[fd >> 5] & (1<<(fd & 31))) != 0)
+		((((fd_set *)(fdsetp))->fds_bits[(fd) >> 5] & (1<<((fd) & 31))) != 0)
 
 #undef	__FD_ZERO
 #define __FD_ZERO(fdsetp) \
-		(memset (fdsetp, 0, sizeof (*(fd_set *)fdsetp)))
+		(memset (fdsetp, 0, sizeof (*(fd_set *)(fdsetp))))
 
 #endif
 
